import 'package:flyinsono/pages/upgrade/app_version_info.dart';

class AppointmentModel extends PatientModel {
  final String key;
  final String label;
  final bool required;
  final bool? isShow;
  AppointmentModel({
    required this.key,
    required this.label,
    required this.required,
    this.isShow = true,
  }) : super(key: key, label: label, required: required);

  factory AppointmentModel.fromJson(Map<String, dynamic> json) {
    return AppointmentModel(
      key: json['key'],
      label: json['label'],
      required: json['Required'],
      isShow: json['IsShow'],
    );
  }
}
